Module org.jfree.chart3d
Package org.jfree.chart3d.data.category

# Interface CategoryDataset3D<S extends Comparable<S>,R extends Comparable<R>,C extends Comparable<C>>

Type Parameters:
  `S` - the series key type (must implement Comparable)
  `R` - the row key type (must implement Comparable)
  `C` - the column key type (must implement Comparable)

All Superinterfaces:
  `Dataset3D`, `KeyedValues3D<S,R,C,Number>`, `Values3D<Number>`

All Known Implementing Classes:
  `StandardCategoryDataset3D`

public interface CategoryDataset3D<S extends Comparable<S>,R extends Comparable<R>,C extends Comparable<C>> extends KeyedValues3D<S,R,C,Number>, Dataset3D
An interface for a dataset with multiple series of data in the form of `(rowKey, columnKey, value)`. This is the standard data interface used by the `CategoryPlot3D` class.

## Method Summary

### Methods inherited from interface org.jfree.chart3d.data.Dataset3D

`addChangeListener, hasListener, removeChangeListener`

### Methods inherited from interface org.jfree.chart3d.data.KeyedValues3D

`getColumnIndex, getColumnKey, getColumnKeys, getRowIndex, getRowKey, getRowKeys, getSeriesIndex, getSeriesKey, getSeriesKeys, getValue`

### Methods inherited from interface org.jfree.chart3d.data.Values3D

`getColumnCount, getDoubleValue, getRowCount, getSeriesCount, getValue`